Subject: Re: bug#47862: 26.3; (elisp) `Eval During Compile'

From: Philipp Stephani <[email-masked]>
Date: Sun, 18 Apr 2021 10:21:44 +0200

Am So., 18. Apr. 2021 um 06:11 Uhr schrieb Drew Adams <[email-masked]>:
>
> This node says that `eval-when-compile' is a special form.
>
> However, `C-h f' says that it's a macro, defined in byte-run.el,
> and that's the case.  Please consider correcting the manual.
>

Could we instead redefine "special form" to mean "any form that
doesn't evaluate its arguments like a function does, no matter whether
it's implemented in C or as an ELisp macro"? It normally doesn't
matter for users how such forms are implemented.